<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class ErrorAplazo extends Exception
{

    /**
     * @var string
     */
    protected $code;

    /**
     * @var string
     */
    protected $httpCode;

    /**
     * @var string
     */
    protected $cause;

    /**
     * @var string
     */
    protected $message;

    /**
     * @param string $code
     * @param string $cause
     * @param string $message
     * @param string $httpCode
     *
     * @return void
     */
    public function __construct($code, $cause, $message, $httpCode)
    {
        $this->code = $code;
        $this->httpCode = $httpCode;
        $this->cause = $cause;
        $this->message = $message;
    }

    /**
     * response Json
     *
     * @return void
     */
    public function response()
    {
        $response = [
            'error' => [
                "code" => $this->code,
                "message" => $this->message,
                "cause" => $this->cause
            ]
        ];
        header('Content-Type: application/json');
        http_response_code($this->httpCode);
        $response = json_encode($response);
        die($response);
    }
}
