<?php

/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class ApalzoCancelPaymentModel extends ObjectModel
{
    public $id;
    public $id_order;
    public $reason;
    public $cancel_at;

    public static $definition =  [
        'table' => 'aplazo_order_cancel',
        'primary' => 'id_aplazo_cancel',
        'multilang' => false,
        'fields' => [
            'id_order' =>  [
                'type' => self::TYPE_INT
            ],
            'reason' =>  [
                'type' => self::TYPE_STRING
            ],
            'cancel_at' =>  [
                'type' => self::TYPE_STRING
            ]
        ]
    ];

    /**
     *
     */
    public function __construct($id = null, $lang = null)
    {
        parent::__construct($id, $lang);
    }

    /**
     *
     */
    public static function create($arr)
    {
        $item = new ApalzoCancelPaymentModel();
        $item->id_order = $arr['order_id'];
        $item->reason = $arr['reason'];
        $item->cancel_at = $arr['date'];
        $item->save();
        return $item;
    } 

    /**
     * Get id cart is token is valid .
     * @param int $token
     * @return int
     */
    public static function getIdCancelFromOrderID($orderId)
    {
        $sql = "SELECT id_aplazo_cancel FROM `" . _DB_PREFIX_ . "aplazo_order_cancel` WHERE `id_order` = '" . pSql($orderId) . "'";
        $result = Db::getInstance()->getValue($sql);
        return !empty($result) ? $result : false;
    }

    /**
     * Get id cart is token is valid .
     * @param int $token
     * @return int
     */
    public static function isValid($orderId)
    {
        $sql = "SELECT `id_order` FROM `" . _DB_PREFIX_ . "aplazo_order_cancel` WHERE `id_order` = '" . pSql($orderId) . "'";
        $result = Db::getInstance()->getValue($sql);
        return !empty($result) ? (int) $result : false;
    }
}
