<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class ApalzoTokenCartModel extends ObjectModel
{
    public $id;
    public $id_cart;
    public $token;
    public $time;

    public static $definition =  [
        'table' => 'aplazo_token_cart',
        'primary' => 'id_aplazo',
        'multilang' => false,
        'fields' => [
            'id_cart' =>  [
                'type' => self::TYPE_INT
            ],
            'token' =>  [
                'type' => self::TYPE_STRING
            ],
            'id_loan' =>  [
                'type' => self::TYPE_INT
            ],
            'time' =>  [
                'type' => self::TYPE_INT
            ]
        ]
    ];

    /**
     *
     */
    public function __construct($id = null, $lang = null)
    {
        parent::__construct($id, $lang);
    }

    /**
     *
     */
    public static function createToken($cart_id)
    {
        $item = new ApalzoTokenCartModel();
        $item->token = md5(uniqid(rand(), true));
        $item->id_cart = $cart_id;
        $item->id_loan = null;
        $item->time = time() + 24 * 3600;
        $item->save();
        return $item;
    }

    /**
     * Get id cart is token is valid .
     * @param int $token
     * @return int
     */
    public static function isValid($token, $cartId, $loanId)
    {
        $sql = "SELECT `id_cart` FROM `" . _DB_PREFIX_ . "aplazo_token_cart` WHERE `token` = '"
            . pSql($token) . "' and `id_cart` = '"
            . pSql($cartId) . "' and  `id_loan` is not null and `id_loan` = '"
            . pSql($loanId) . "' and `time` >= " . (int) time();
        $result = Db::getInstance()->getValue($sql);
        return !empty($result) ? (int) $result : false;
    }
}
