<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 *
 */
class HelperAp
{
    /**
     * Get all headers
     *
     * @return array
     */
    public static function getallheaders()
    {
        $headers = [];
        foreach ($_SERVER as $name => $value) {
            if (Tools::substr($name, 0, 5) == 'HTTP_') {
                $headers[str_replace(' ', '-', ucwords(
                    Tools::strtolower(str_replace('_', ' ', Tools::substr($name, 5)))
                ))] = $value;
            }
        }
        return $headers;
    }

    /**
     *
     * @return int
     */
    public static function getOrderByCartId($id)
    {
        return version_compare(_PS_VERSION_, '1.7', '<') ?
            Order::getOrderByCartId((int) $id) : Order::getIdByCartId((int) $id);
    }

    /**
     * Indicates if order has any associated payments.
     *
     * @return bool
     */
    public function hasPayments($order): bool
    {
        return $order->getOrderPaymentCollection()->count() > 0;
    }
}
