<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class LogAp
{
    /**
     * @param string|array $item
     *
     * @return void
     */
    public static function info($item)
    {
        self::write($item, 'info');
    }

    /**
     * @param string|array $item
     *
     * @return void
     */
    public static function error($item)
    {
        self::write($item, 'error');
    }

    /**
     * @param string|array $item
     *
     * @return void
     */
    public static function warning($item)
    {
        self::write($item, 'waring');
    }

    /**
     * Generate logs on mercadopago.log
     *
     * @param string $message
     * @param string $status
     * @return void
     */
    public static function write($message, $status = 'info')
    {

        if ($status == 'info') {
            $tipo = 1;
        }

        if ($status == 'waring') {
            $tipo = 2;
        }

        if ($status == 'error') {
            $tipo = 3;
        }

        PrestaShopLogger::addLog($message, $tipo);
        /*
        if (is_array($message)) {
            $message = json_encode($message);
        }
        $date = date('Y-m-d H:i:s');
        $message = sprintf("[%s] [%s]: %s%s", $date, $status, $message, PHP_EOL);
        error_log($message, 3, AP_PATH_DIR . '/log/Aplazo-' . date('Y-m-d') . '.log');
        */
    }
}
