{*
* 2007-2022 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2022 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<!DOCTYPE html>
<html lang="{$language.iso_code|escape:'htmlall':'UTF-8'}">

<head>
    <meta charset="UTF-8">
    <title>Aplazo</title>
    {block name='head'}
        {include file='_partials/head.tpl'}
    {/block}
</head>

<body id="{$page.page_name|escape:'htmlall':'UTF-8'}" class="{$page.body_classes|classnames}">
    {hook h='displayAfterBodyOpeningTag'}
    <main>
        <div style="text-align: center;" id="container-button-aplazo"
            data-url-payment="{$paymentHasFinished|escape:'htmlall':'UTF-8'}">

            <div class="content-aplazo-loading">
                <a href="/" style="text-align: center;">
                    <div class="lds-aplazo">
                        <div></div>
                        <div></div>
                        <div></div>
                    </div> <br /> <br />
                    {l s='waiting...' mod='aplazo'}
                </a>
            </div>

        </div>

        <div class="content-aplazo-error" style="display: none; text-align: center;">
            <a href="/" style="text-align: center;">
                {l s='Error when trying to process the payment, continue viewing products' mod='aplazo'}
            </a>
        </div>

        <script type="text/javascript">
            window.onload = function() { $.fn.aplazoPay('waiting'); };
        </script>

    </main>
    {hook h='displayBeforeBodyClosingTag'}
    {block name='javascript_bottom'}
        {include file="_partials/javascript.tpl" javascript=$javascript.bottom}
    {/block}
</body>

</html>