{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2022 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if isset($order) }
    <div id="aplazo_admin_order_payment_cancel" class="row">
        <div class="col-md-12">
            <div class="card panel">
                <div class="card-header">
                    <h3 class="card-header-title">{l s='Aplazo Cancel Payment' mod='aplazo'}</h3>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12">

                            {if isset($error)}
                                <div class="alert alert-danger alert-dismissible" role="alert">
                                    <strong>{$error|escape:'htmlall':'UTF-8'}</strong>
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            {else}
                                {if $cancel->id == null }
                                    <div class="input-group222">
                                        <form id="aplazo_payment_order_cancel_form" action="{$url|escape:'htmlall':'UTF-8'}"
                                            data-question="{l s='Are you sure you want to refund the payment?' mod='aplazo'}"
                                            method="post">
                                            <input type="hidden" id="order_id" name="order_id"
                                                value="{$order->id|escape:'htmlall':'UTF-8'}">
                                            <textarea class=" form-control" id="reason" name="reason" maxlength="250"
                                                placeholder="Descripcion del pro que"> </textarea>
                                            <br>
                                            <div class="text-right">
                                                <input type="submit" class="btn btn-primary pull-right"
                                                    value="{l s='Cancel Payment' mod='aplazo'}">
                                            </div>
                                        </form>
                                    </div>
                                {else}

                                    <span class="badge bg-primary" style="background-color: #3498D8; color: white;">
                                        {l s='Payment canceled' mod='aplazo'}
                                    </span>
                                    <br />
                                    <small> {$cancel->reason|escape:'htmlall':'UTF-8'}</small>
                                {/if}

                            {/if}

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{/if}